GetbeelDocs
API referenceReceived invoices

Delete a category

Deletes a category and moves its invoices to "other". Default categories cannot be deleted (409 default_category). Live keys only.

DELETE
/categories/{id}

Deletes a category and moves its invoices to "other". Default categories cannot be deleted (409 default_category). Live keys only.

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Path Parameters

id*string

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
slug*string

Stable key used on received invoices (category field)

label*string
color*string
is_default*boolean

Default categories cannot be deleted

sort_order*integer
Range-9007199254740991 <= value <= 9007199254740991
Example Request
curl -X DELETE 'https://www.getbeel.com/api/v1/categories/string'
Example Response
{  "object": "category",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "slug": "software",  "label": "string",  "color": "string",  "is_default": true,  "sort_order": -9007199254740991}